/* =================================
------------------------------------
  Woon Him WONG - Portfolio
  Version: 1.0
 ------------------------------------ 
 ====================================*/

/*----------------------------------------*/
/*  CSS
/*----------------------------------------*/

html,
body {
  height: 100%;
  font-family: 'Josefin Sans', sans-serif;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  color: #001418;
  margin: 0;
  font-weight: 600;
  font-family: 'Josefin Sans', sans-serif;
}

p {
  font-size: 18px;
  color: #979797;
  line-height: 1.8;
}

img {
  max-width: 100%;
}

input:focus,
select:focus,
button:focus,
textarea:focus {
  outline: none;
}

/*
a:hover,
a:focus {
  color:#52B393;
  text-decoration:line-through;
  outline: none;
}

*/

ul,
ol {
  padding: 0;
  margin: 0;
}

/*------------------------
  Helper css
--------------------------*/
.body-pad {
  padding: 0 40px;
}

.spad {
  padding: 100px 0;
}

.pt100 {
  padding-top: 100px;
}

.set-bg {
  background-repeat: no-repeat;
  background-size: cover;
}

.section-title {
  font-size: 60px;
  padding-left: 10px;
  text-align: left;
}

.section-title span {
  color: #979797;
}

/*------------------------
  Common Elements
--------------------------*/
.element {
  margin-bottom: 100px;
}

.element:last-child {
  margin-bottom: 0;
}

/*=== Preloder ===*/
#preloader {
  position: fixed;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  z-index: 999999;
  background: #fff;
}

.loader {
  width: 30px;
  height: 30px;
  border: 3px solid #000;
  position: fixed;
  top: 50%;
  left: 50%;
  margin-top: -13px;
  margin-left: -13px;
  border-radius: 60px;
  border-left-color: transparent;
  animation: loader 0.8s linear infinite;
  -webkit-animation: loader 0.8s linear infinite;
}

@keyframes loader {
  0% {
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
  }

  50% {
    -webkit-transform: rotate(180deg);
    transform: rotate(180deg);
  }

  100% {
    -webkit-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}

@-webkit-keyframes loader {
  0% {
    -webkit-transform: rotate(0deg);
  }

  50% {
    -webkit-transform: rotate(180deg);
  }

  100% {
    -webkit-transform: rotate(360deg);
  }
}

/*=== Buttons ===*/
.site-btn {

  display: inline-block;
  font-size: 14px;
  min-width: 140px;
  text-align: center;
  padding: 15px 0px;
  color: #fff;
  border: none;
  background-color: #000;
  z-index: 1;
  margin-top: 20px;
  margin-left: 10px;
}

.send-btn {
  margin-left: -25px;
  cursor: pointer;
}

.footer-btn {
  margin-top: 3%;
}

.footer-icon {
  max-width: 30px;
  max-height: 30px;
}

.header-btn {
  margin: 0.5% 90%;
}

.site-btn.btn-fade {
  background-color: #979797;
}

.site-btn.btn-line {
  background: none;
  border: 2px solid #000;
  color: #000;
  padding: 13px 10px;
}

.site-btn.btn-line:hover {
  color: #000;
}

.site-btn.btn-line-fade {
  background: none;
  border: 2px solid #979797;
  color: #979797;
  padding: 13px 10px;
}

.site-btn.btn-line-fade:hover {
  color: #979797;
}

.site-btn:hover {
  color: #fff;
}

/*===  Accordion  ===*/
.accordion-area .panel {
  margin-bottom: 30px;
}

.accordion-area .panel-header {
  background: #000;
  color: #fff;
  display: block;
  padding: 12px 50px;
  padding-left: 30px;
  font-size: 14px;
  font-weight: 600;
  position: fixed;
  border: 2px solid #000;
  -webkit-transition: all 0.4s ease-out 0s;
  -o-transition: all 0.4s ease-out 0s;
  transition: all 0.4s ease-out 0s;
}

.accordion-area .panel-header.active {
  background: transparent;
  color: #000;
}

.accordion-area .panel-header.active .panel-link:after {
  content: "-";
  color: #000;
}

.accordion-area .panel-header.active .panel-link.collapsed:after {
  content: "+";
}

.accordion-area .panel-link {
  position: fixed;
  right: 0;
  top: 0;
  height: 100%;
  width: 50px;
  border: none;
  cursor: pointer;
  background: transparent;
}

.accordion-area .panel-body p {
  font-size: 14px;
  margin-bottom: 0;
  padding-top: 25px;
}

.accordion-area .panel-body {
  padding: 0 5px;
}

.accordion-area .panel-link:after {
  content: "+";
  position: fixed;
  left: 50%;
  font-size: 16px;
  font-weight: 700;
  top: 50%;
  color: #fff;
  line-height: 16px;
  margin-top: -8px;
  margin-left: -4px;
}

/*===  Tab  ===*/
.tab-element .nav-tabs {
  border-bottom: none;
  margin-bottom: 35px;
}

.tab-element .nav-tabs .nav-link {
  border: 2px solid #000;
  background: #000;
  border-radius: 0;
  margin-right: 10px;
  font-size: 14px;
  font-weight: 500;
  color: #222;
  padding: 15px 40px;
  min-width: 118px;
  font-size: 16px;
  color: #fff;
  margin-bottom: 10px;
}

.tab-element .nav-tabs .nav-item:last-child .nav-link {
  margin-right: 0;
}

.tab-element .nav-tabs .nav-link.active {
  background: transparent;
  color: #000;
}

.tab-element .tab-pane h4 {
  font-size: 18px;
  margin: 25px 0 20px;
}

.tab-element .tab-pane p {
  font-size: 14px;
}

.circle-progress {
  text-align: center;
  position: relative;
}

.circle-progress canvas {
  -webkit-transform: rotate(90deg);
  -ms-transform: rotate(90deg);
  transform: rotate(90deg);
}

.circle-progress .progress-info {
  position: absolute;
  width: 100%;
  top: 30%;
}

.circle-progress .progress-info h2 {
  font-size: 36px;
}

.circle-progress .progress-info p {
  color: #979797;
  font-size: 16px;
  line-height: normal;
}

/*===  Icon Box  ===*/
.icon-box {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
}

.icon-box .icon h2 {
  font-size: 60px;
}

.icon-box .icon-box-content {
  padding-left: 25px;
  padding-top: 10px;
}

.icon-box .icon-box-content h3 {
  font-size: 24px;
  margin-bottom: 25px;
}

/*------------------------
    Header Section
--------------------------*/
.site-logo {
  max-width: 300px;
  max-height: 100px;
  padding: 10px 100px 0px 0px;
  z-index: 1;
}

/* .container {
  position: relative;
  margin-top: 2%;
} */

.main-menu {
  float: right;
  text-align: right;
}


.main-menu ul {
  list-style: none;
  padding: 0;
  margin: 0;
}

.main-menu ul li {
  float: left;
  color: #FFFFFF;
  font-size: 14px;
  margin-right: 25px;
  transition: all 0.3s linear;

}

.main-menu ul li a {
  /*  display: inline-block;*/
  display: block;
  float: left;
  font-size: 18px;
  color: #001418;
  margin-left: 15px;
  margin-right: 10px;
  padding: 20px 0 5px;

}

.main-menu ul li:hover a {
  color: #4A805A !important;
  text-decoration: overline underline;
}

.header-btn {
  position: absolute;
  top: -15px;
  left: -19%;
}

.nav-switch {
  display: none;
}

@media (min-width: 768px) {
  .expandable-navbar .navbar-nav {
    flex-direction: row;
  }

  .expandable-navbar .navbar-nav .nav-item {
    margin-right: 15px;
  }
}

/*------------------------
    Intro Section
--------------------------*/
.intro-section {
  min-height: 50%;
  margin-top: 0%;
}

.container {
  max-width: 100%;
  padding: 0 20px;
  margin: 0 auto;
}

.section-title {
  font-size: 24px;
  line-height: 1.5;
  margin-bottom: 20px;
}

.section-title span
{
   text-transform: uppercase;
  background-image: linear-gradient(
    -225deg,
    #231557 0%,
    #44107a 29%,
    #ff1361 67%,
    #fff800 100%
  );
  background-size: auto auto;
  background-clip: border-box;
  background-size: 200% auto;
  color: #fff;
  background-clip: text;
  text-fill-color: transparent;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  animation: textclip 2s linear infinite;
  display: inline-block;
}

@keyframes textclip {
  to {
    background-position: 200% center;
  }
}


.showreel {
  position: relative;
  padding-bottom: 56.25%;
  height: 0;
  overflow: hidden;
}

.showreel iframe {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

@media (max-width: 768px) {
  .container {
    padding: 0 10px;
  }

  .section-title {
    font-size: 18px;
    line-height: 1.3;
  }

  .showreel {
    padding-bottom: 75%;
  }

}

/*------------------------
    Portfolio Section
--------------------------*/

.profile-pic {
  border-radius: 50%;
  margin-left: auto;
  margin-right: auto;
  margin-top: 10px;
  display: block;
}

.portfolio-section {
  overflow: hidden;
  float: left;
  width: 100vw;
  padding-right: 50px;
}

.portfolio-intro {
  padding: 1rem;
  /*  background: #333;*/
  font-size: 0.1px;
}

/* .gallery tr {
  width: 100%;
}
.gallery td{
	padding: 25px;
  width: 27%;
} */

.mixitup-control-active[data-filter]:after {
  background: transparent;
}

.gallery {
  padding: 1rem;
  text-align: justify;
  font-size: 0.1px;
  width: 100%;
  margin-top: -50px;
}

.gallery:after {
  content: '';
  display: inline-block;
  width: 100%;
}

/* Target Elements
---------------------------------------------------------------------- */
.mix {
  /* background: #fff;*/
  /*    border-top: .5rem solid currentColor;*/
  /* border-radius: 2px;*/
  padding: 1rem;
  margin-bottom: 1rem;
  position: relative;
}

.mix,
.gap {
  display: inline-block;
  vertical-align: top;

}



/*.mix:before {
    content: '';
    display: inline-block;
    padding-top: 56.25%;
}*/

/* Grid Breakpoints
---------------------------------------------------------------------- */

/* 2 Columns */
@media screen and (min-width: 700px) {

  .mix,
  .gap {
    width: 100%;
  }
}

@media screen and (min-width: 800px) {

  .mix,
  .gap {
    width: 33.33%;
  }
}

/* 3 Columns */
@media screen and (min-width: 961px) {

  .mix,
  .gap {
    width: calc(100%/3 - (((3 - 1) * 1rem) / 3));
  }
}

/* 
/*4 Columns */

@media screen and (min-width: 961px) {

  .mix,
  .gap {
    width: calc(100%/4 - (((4 - 1) * 1rem) / 4));
  }
}

/* 5 Columns */

@media screen and (min-width: 1281px) {

  .mix,
  .gap {
    width: calc(100%/5 - (((5 - 1) * 1rem) / 5));
  }
}

.portfolio-filter {
  list-style: none;
  padding-bottom: 100px;
  padding-left: 20px;
  margin-right: 50px;
  width: 100vw;
}

.portfolio-filter li {
  float: left;
  font-size: 20px;
  display: inline-block;
  margin-right: 50px;
  padding-bottom: 10px;
  color: #979797;
  cursor: pointer;
}

.portfolio-filter li.mixitup-control-active {
  color: #001418;
  font-size: 20px;
}

.gallery-block {
  padding: 0;

}
.portfolio-item {
  display: block;
  width: 100%;
  min-height: 250px;
  max-height: 600px;
  background-position: center center;
  background-size: cover; /* Added property */
  margin-bottom: 30px;
}

.portfolio-item .pi-inner {
  position: relative;
  width: 100%;
  height: 100%;
  left: 0;
  top: 0;
  background: transparent;
  -webkit-transition: all 0.4s ease 0s;
  -o-transition: all 0.4s ease 0s;
  transition: all 0.4s ease 0s;
}

.portfolio-item .pi-inner h2 {
  opacity: 0;
  font-size: 20px;
  font-weight: 400;
  position: relative;
  left: 10px;
  top: 10px;
  color: #fff;
  letter-spacing: 10px;
  -webkit-transition: all 0.3s ease 0s;
  -o-transition: all 0.3s ease 0s;
  transition: all 0.3s ease 0s;
}

.portfolio-item:hover .pi-inner {
  background: rgba(0, 20, 24, 0.8);
}

.portfolio-item:hover .pi-inner h2 {
  opacity: 1;
  letter-spacing: 0;
}

/* Media Queries */
@media screen and (max-width: 768px) {
  .portfolio-item {
    max-height: 400px;
  }
}

@media screen and (max-width: 480px) {
  .portfolio-item {
    max-height: 300px;
  }
}

.portfolio-meta {
  padding-bottom: 10px;
}

.portfolio-meta h2 {
  font-size: 24px;
}

.portfolio-meta p {
  font-size: 14px;
  color: #a6a6a6;
  margin-bottom: 0;
}

.portfolio-intro {
  display: block;
  margin: 20px;
  padding: 20px;
}

.portfolio-intro a {
  padding: 20px;
  color: black;
}

.portfolio-intro a:hover {
  color: #4A805A;
  text-decoration: overline underline;
}

.img-popup-warp .mfp-content {
  opacity: 0;
  -webkit-transform: scale(0.8);
  -ms-transform: scale(0.8);
  transform: scale(0.8);
  -webkit-transition: all 0.4s;
  -o-transition: all 0.4s;
  transition: all 0.4s;
}

.img-popup-warp.mfp-ready .mfp-content {
  opacity: 1;
  -webkit-transform: scale(1);
  -ms-transform: scale(1);
  transform: scale(1);
}

/*------------------------
    Footer Section
--------------------------*/
footer {
  bottom: 0;
  width: 100%;
  left: 0;
  right: 0;
}

/*
.footer-section {
  padding: 100px 0;
  height: 2em;
  position: absolute;
  bottom:0px;
  left:0px;
  margin-top: 50px;
  margin-right: 30px;
}
*/

.footer-section .copyright {
  font-size: 12px;
  color: #979797;
  margin-top: 20px;
  margin-right: 40px;
}

.social-links {
  margin-top: 30px;
  margin-bottom: 40px;
  margin-right: -40px;
}

.social-links a {
  color: #979797;
  font-size: 15px;
  margin-right: 30px;
}

.social-links a:last-child {
  margin-right: 0;
}

/*------------------------
    About Page
--------------------------*/
.pic-frame {
  position: relative;
  padding-left: 25px;
  padding-bottom: 25px;
  display: inline-block;
}

.pic-frame:after {
  position: relative;
  content: "";
  width: calc(100% - 25px);
  height: calc(100% - 25px);
  bottom: 0;
  left: 0;
  border: 2px solid #000;
  z-index: 1;
}

.milestone {
  margin-top: 15px;
}

.milestone h2 {
  font-size: 60px;
}

.milestone h2 span {
  font-size: 18px;
  color: #979797;
}

/*------------------------
    Blog Page
--------------------------*/
.blog-item {
  margin-bottom: 70px;
}

.blog-item .read-more {
  color: #000;
  padding-bottom: 5px;
  line-height: 18px;
  font-size: 18px;
}

.blog-item .read-more:after {
  position: fixed;
  content: '';
  width: 100%;
  height: 2px;
  bottom: 0;
  left: 0;
  background: #000;
}

.thumb {
  margin-bottom: 30px;
}

.blog-content h2 {
  font-size: 24px;
  margin-bottom: 15px;
}

.blog-content .blog-meta {
  font-size: 13px;
  color: #979797;
  margin-bottom: 30px;
}

.blog-content p {
  margin-bottom: 30px;
}

/*------------------------
    Contact Page
--------------------------*/
.contect-tect {
  text-align: center;
  margin-bottom: 70px;
}

.contect-tect h2 {
  font-size: 24px;
  margin-bottom: 30px;
}

.contect-tect p {
  font-size: 17px;
}

.contact-form {
  display: block;
  width: 100%;
}

.contact-form input {
  padding-left: 25px;
  height: 60px;
  width: 100%;
  border: none;
  border-bottom: 2px solid #000;
  margin-bottom: 30px;
  font-size: 12px;
}

.contact-form textarea {
  padding-left: 25px;
  height: 200px;
  width: 100%;
  border: none;
  border-bottom: 2px solid #000;
  margin-bottom: 30px;
  font-size: 12px;
}

.contact-form ::-webkit-input-placeholder {
  font-style: italic;
}

.contact-form :-ms-input-placeholder {
  font-style: italic;
}

.contact-form ::-ms-input-placeholder {
  font-style: italic;
}

.contact-form ::placeholder {
  font-style: italic;
}